
CoCoALib - Bug #905

txt2tags: double quotes wrong in LaTeX

07 Jul 2016 13:49 - John Abbott

Status: Closed Start date: 07 Jul 2016

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Documentation Estimated time: 0.66 hour

Target version: CoCoALib-0.99650 November 2019 Spent time: 0.65 hour

Description

txt2tags does not correctly handle double quotes when generating LaTeX.

The end result is that the PDF generated has 99 quoted-tex 99 instead of 66 quoted-text 99.

Related issues:

Related to CoCoA-5 - Support #1311: THINGS TO DO IN GENOVA September 2019 Closed 11 Sep 2019

Related to CoCoALib - Bug #1317: txt2tags: LaTeX/PDF section numbers over 99 ... Closed 24 Sep 2019

History

#1 - 07 Jul 2016 13:51 - John Abbott

I had a quick look at the txt2tags website.  It seems likely that a "filter" can solve the problem, but I don't know where the active filters are supposed to

be defined.

I suggest the following rule/filter:

A double-quote preceded by whitespace should produce a 66, otherwise it should produce a 99.

#2 - 15 Dec 2017 17:27 - John Abbott

See the maintainer doc for ApproxPts for a case where double quotes appear.

There are surely others, but I wanted to specify one concrete place.

#3 - 11 Sep 2019 13:51 - John Abbott

This is still a problem.  It would be nice to fix it before a deadline on 29th Sept!

I am also not convinced by the idea of putting someone's name next to the section title (and certainly not the same size as the title).

#4 - 11 Sep 2019 13:55 - John Abbott

- Related to Support #1311: THINGS TO DO IN GENOVA September 2019 added

#5 - 24 Sep 2019 15:13 - John Abbott

- Related to Bug #1317: txt2tags: LaTeX/PDF section numbers over 99 in TOC added

#6 - 24 Sep 2019 18:51 - John Abbott

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 90

#7 - 27 Sep 2019 17:33 - John Abbott

- Status changed from Feedback to Closed
- % Done changed from 90 to 100

#8 - 27 Sep 2019 17:33 - John Abbott

- Estimated time set to 0.66 h

#9 - 10 Oct 2019 19:06 - Anna Maria Bigatti

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99650 November 2019

Powered by TCPDF (www.tcpdf.org)

27 Apr 2024 2/2

http://www.tcpdf.org

